mxIGraphModel (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.model
Interface mxIGraphModel

All Known Implementing Classes:
  mxGraphModel

    public interface mxIGraphModel

Defines the requirements for a graph model to be used with mxGraph.

Nested Class Summary
`static class` | `mxIGraphModel.mxAtomicGraphModelChange` Defines the interface for an atomic change of the graph model.

Method Summary
`Object` | `add(Object parent, Object child, int index)` Adds the specified child to the parent at the given index.
`void` | `addListener(String eventName, mxEventSource.mxIEventListener listener)` Binds the specified function to the given event name.
`void` | `beginUpdate()` Increments the updateLevel by one.
`Object[]` | `cloneCells(Object[] cells, boolean includeChildren)` Returns an array of clones for the given array of cells.
`boolean` | `contains(Object cell)` Returns true if the model contains the given cell.
`void` | `endUpdate()` Decrements the updateLevel by one and fires a notification event if the updateLevel reaches 0.
`Object` | `getChildAt(Object parent, int index)` Returns the child of the given parent at the given index.
`int` | `getChildCount(Object cell)` Returns the number of children in the given cell.
`Object` | `getEdgeAt(Object cell, int index)` Returns the edge of cell at the given index.
`int` | `getEdgeCount(Object cell)` Returns the number of distinct edges connected to the given cell.
`mxGeometry` | `getGeometry(Object cell)` Returns the geometry of the given cell.
`Object` | `getParent(Object child)` Returns the parent of the given cell.
`Object` | `getRoot()` Returns the root of the model or the topmost parent of the given cell.
`String` | `getStyle(Object cell)` Returns the style of the given cell.
`Object` | `getTerminal(Object edge, boolean isSource)` Returns the source or target terminal of the given edge depending on the value of the boolean parameter.
`Object` | `getValue(Object cell)` Returns the user object of the given cell.
`boolean` | `isAncestor(Object parent, Object child)` Returns true if the given parent is an ancestor of the given child.
`boolean` | `isCollapsed(Object cell)` Returns true if the given cell is collapsed.
`boolean` | `isConnectable(Object cell)` Returns true if the given cell is connectable.
`boolean` | `isEdge(Object cell)` Returns true if the given cell is an edge.
`boolean` | `isVertex(Object cell)` Returns true if the given cell is a vertex.
`boolean` | `isVisible(Object cell)` Returns true if the given cell is visible.
`Object` | `remove(Object cell)` Removes the specified cell from the model.
`void` | `removeListener(mxEventSource.mxIEventListener listener)` Function: removeListener Removes the given listener from the list of listeners.
`void` | `removeListener(mxEventSource.mxIEventListener listener, String eventName)` Function: removeListener Removes the given listener from the list of listeners.
`boolean` | `setCollapsed(Object cell, boolean collapsed)` Sets the collapsed state of the given cell.
`mxGeometry` | `setGeometry(Object cell, mxGeometry geometry)` Sets the geometry of the given cell.
`Object` | `setRoot(Object root)` Sets the root of the model and resets all structures.
`String` | `setStyle(Object cell, String style)` Sets the style of the given cell.
`Object` | `setTerminal(Object edge, Object terminal, boolean isSource)` Sets the source or target terminal of the given edge using.
`Object` | `setValue(Object cell, Object value)` Sets the user object of then given cell.
`boolean` | `setVisible(Object cell, boolean visible)` Sets the visible state of the given cell.

Method Detail

### getRoot

    Object getRoot()

  Returns the root of the model or the topmost parent of the given cell.

  Returns:
    Returns the root cell.

### setRoot

    Object setRoot(Object root)

  Sets the root of the model and resets all structures.

  Parameters:
    `root` - Cell that specifies the new root.

### cloneCells

    Object[] cloneCells(Object[] cells,
                        boolean includeChildren)

  Returns an array of clones for the given array of cells. Depending on the value of includeChildren, a deep clone is created for each cell. Connections are restored based if the corresponding cell is contained in the passed in array.

  Parameters:
    `cells` - Array of cells to be cloned.
    `includeChildren` - Boolean indicating if the cells should be cloned with all descendants.
  Returns:
    Returns a cloned array of cells.

### isAncestor

    boolean isAncestor(Object parent,
                       Object child)

  Returns true if the given parent is an ancestor of the given child.

  Parameters:
    `parent` - Cell that specifies the parent.
    `child` - Cell that specifies the child.
  Returns:
    Returns true if child is an ancestor of parent.

### contains

    boolean contains(Object cell)

  Returns true if the model contains the given cell.

  Parameters:
    `cell` - Cell to be checked.
  Returns:
    Returns true if the cell is in the model.

### getParent

    Object getParent(Object child)

  Returns the parent of the given cell.

  Parameters:
    `child` - Cell whose parent should be returned.
  Returns:
    Returns the parent of the given cell.

### add

    Object add(Object parent,
               Object child,
               int index)

  Adds the specified child to the parent at the given index. If no index is specified then the child is appended to the parent's array of children.

  Parameters:
    `parent` - Cell that specifies the parent to contain the child.
    `child` - Cell that specifies the child to be inserted.
    `index` - Integer that specifies the index of the child.
  Returns:
    Returns the inserted child.

### remove

    Object remove(Object cell)

  Removes the specified cell from the model. This operation will remove the cell and all of its children from the model.

  Parameters:
    `cell` - Cell that should be removed.
  Returns:
    Returns the removed cell.

### getChildCount

    int getChildCount(Object cell)

  Returns the number of children in the given cell.

  Parameters:
    `cell` - Cell whose number of children should be returned.
  Returns:
    Returns the number of children in the given cell.

### getChildAt

    Object getChildAt(Object parent,
                      int index)

  Returns the child of the given parent at the given index.

  Parameters:
    `parent` - Cell that represents the parent.
    `index` - Integer that specifies the index of the child to be returned.
  Returns:
    Returns the child at index in parent.

### getTerminal

    Object getTerminal(Object edge,
                       boolean isSource)

  Returns the source or target terminal of the given edge depending on the value of the boolean parameter.

  Parameters:
    `edge` - Cell that specifies the edge.
    `isSource` - Boolean indicating which end of the edge should be returned.
  Returns:
    Returns the source or target of the given edge.

### setTerminal

    Object setTerminal(Object edge,
                       Object terminal,
                       boolean isSource)

  Sets the source or target terminal of the given edge using.

  Parameters:
    `edge` - Cell that specifies the edge.
    `terminal` - Cell that specifies the new terminal.
    `isSource` - Boolean indicating if the terminal is the new source or target terminal of the edge.
  Returns:
    Returns the new terminal.

### getEdgeCount

    int getEdgeCount(Object cell)

  Returns the number of distinct edges connected to the given cell.

  Parameters:
    `cell` - Cell that represents the vertex.
  Returns:
    Returns the number of edges connected to cell.

### getEdgeAt

    Object getEdgeAt(Object cell,
                     int index)

  Returns the edge of cell at the given index.

  Parameters:
    `cell` - Cell that specifies the vertex.
    `index` - Integer that specifies the index of the edge to return.
  Returns:
    Returns the edge at the given index.

### isVertex

    boolean isVertex(Object cell)

  Returns true if the given cell is a vertex.

  Parameters:
    `cell` - Cell that represents the possible vertex.
  Returns:
    Returns true if the given cell is a vertex.

### isEdge

    boolean isEdge(Object cell)

  Returns true if the given cell is an edge.

  Parameters:
    `cell` - Cell that represents the possible edge.
  Returns:
    Returns true if the given cell is an edge.

### isConnectable

    boolean isConnectable(Object cell)

  Returns true if the given cell is connectable.

  Parameters:
    `cell` - Cell whose connectable state should be returned.
  Returns:
    Returns the connectable state of the given cell.

### getValue

    Object getValue(Object cell)

  Returns the user object of the given cell.

  Parameters:
    `cell` - Cell whose user object should be returned.
  Returns:
    Returns the user object of the given cell.

### setValue

    Object setValue(Object cell,
                    Object value)

  Sets the user object of then given cell.

  Parameters:
    `cell` - Cell whose user object should be changed.
    `value` - Object that defines the new user object.
  Returns:
    Returns the new value.

### getGeometry

    mxGeometry getGeometry(Object cell)

  Returns the geometry of the given cell.

  Parameters:
    `cell` - Cell whose geometry should be returned.
  Returns:
    Returns the geometry of the given cell.

### setGeometry

    mxGeometry setGeometry(Object cell,
                           mxGeometry geometry)

  Sets the geometry of the given cell.

  Parameters:
    `cell` - Cell whose geometry should be changed.
    `geometry` - Object that defines the new geometry.
  Returns:
    Returns the new geometry.

### getStyle

    String getStyle(Object cell)

  Returns the style of the given cell.

  Parameters:
    `cell` - Cell whose style should be returned.
  Returns:
    Returns the style of the given cell.

### setStyle

    String setStyle(Object cell,
                    String style)

  Sets the style of the given cell.

  Parameters:
    `cell` - Cell whose style should be changed.
    `style` - String of the form stylename[;key=value] to specify the new cell style.
  Returns:
    Returns the new style.

### isCollapsed

    boolean isCollapsed(Object cell)

  Returns true if the given cell is collapsed.

  Parameters:
    `cell` - Cell whose collapsed state should be returned.
  Returns:
    Returns the collapsed state of the given cell.

### setCollapsed

    boolean setCollapsed(Object cell,
                         boolean collapsed)

  Sets the collapsed state of the given cell.

  Parameters:
    `cell` - Cell whose collapsed state should be changed.
    `collapsed` - Boolean that specifies the new collpased state.
  Returns:
    Returns the new collapsed state.

### isVisible

    boolean isVisible(Object cell)

  Returns true if the given cell is visible.

  Parameters:
    `cell` - Cell whose visible state should be returned.
  Returns:
    Returns the visible state of the given cell.

### setVisible

    boolean setVisible(Object cell,
                       boolean visible)

  Sets the visible state of the given cell.

  Parameters:
    `cell` - Cell whose visible state should be changed.
    `visible` - Boolean that specifies the new visible state.
  Returns:
    Returns the new visible state.

### beginUpdate

    void beginUpdate()

  Increments the updateLevel by one. The event notification is queued until updateLevel reaches 0 by use of endUpdate.

### endUpdate

    void endUpdate()

  Decrements the updateLevel by one and fires a notification event if the updateLevel reaches 0.

### addListener

    void addListener(String eventName,
                     mxEventSource.mxIEventListener listener)

  Binds the specified function to the given event name. If no event name is given, then the listener is registered for all events.

### removeListener

    void removeListener(mxEventSource.mxIEventListener listener)

  Function: removeListener Removes the given listener from the list of listeners.

### removeListener

    void removeListener(mxEventSource.mxIEventListener listener,
                        String eventName)

  Function: removeListener Removes the given listener from the list of listeners.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.